# Usage of the Python API

This user guide is intended to provide with a detailed overview of declearn,
show-casing what the package does, how it is designed, and where to look for
more details regarding both the declearn API and Federated Learning in general.

This guide is structured this way:

- [Overview of the Federated Learning process](./fl_process.md):<br/>
    Description of the Federated Learning process implemented by declearn.
- [Overview of the declearn API](./package.md):<br/>
    Description of the declearn code's structure and of the main APIs.
- [Hands-on usage](./usage.md):<br/>
    Guide on how to set up your own federated learning task using declearn.
- [Local Differential Privacy capabilities](./local_dp.md):<br/>
    Description of the local-DP features of declearn.
